Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"d121d85f-f272-46de-874b-196081933889","url":null,"userId":"bad00a49-232f-47a7-a8d0-4b5974dca164","userUrl":null,"parentCommentId":"e87e9708-2606-433c-8e28-1fe34e3db12d","parentCommentUrl":null,"creationDateTime":"2026-11-13T20:44:14.6853607+00:00","lastModifiedDateTime":null,"medias":[{"id":"303594f2-ae07-423f-ad68-6822ae643cdc","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"ad1c9dbb-cf6b-4002-893a-1f571bcba4d2","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  ⯈ data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string